html, body {
    height: 100%;
    margin: 0;
    padding: 0;
    font-size: 10px;
}

html {
    box-sizing: border-box;
}

body {
    font-family: Arial, Helvetica, sans-serif;
}

*,
*::before,
*::after {
    box-sizing: inherit;
}

/* TITLE */
.title {
    position: absolute;
    top: 10rem;
    left: 10rem;
    z-index: 1;
    font-size: 8.8rem;
    font-weight: bold;
    text-transform: uppercase;
    color: #333333;
}

/* SEARCH */
.search-container {
    position: absolute;
    width: 40rem;
    height: 6rem;
    z-index: 1;
    top: 23rem;
    left: 10rem;
    border-radius: 3rem;
    background-color: #454E53;
}

.search-container > .search {
    height: inherit;
    /* flex */
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.search-container > .search > #search-input {
    margin-right: 1rem;
    margin-left: 2rem;
    flex: 1;
    font-size: 2.5rem;
    background-color: transparent;
    color: rgba(255, 255, 255, 0.75);
    border: none;
    outline: none;
    transition: 0.3s;
}
.search-container > .search > #search-input::placeholder {
    color: rgba(255, 255, 255, 0.25);
    transition: 0.3s;
}

.search-container > .search > .search-icon {
    margin-right: 2rem;
    margin-left: 1rem;
    justify-self: flex-end;
    font-size: 2.5rem;
    color: rgba(255, 255, 255, 0.75);
    transition: 0.3s;
    cursor: pointer;
}

.search-container > .search:hover > #search-input,
.search-container > .search > #search-input:focus {
    color: rgba(255, 255, 255, 1);
}

.search-container > .search:hover > #search-input::placeholder,
.search-container > .search > #search-input:focus::placeholder {
    color: rgba(255, 255, 255, 0.5);
}

.search-container > .search:hover > .search-icon,
.search-container > .search > #search-input:focus + .search-icon {
    color: rgba(255, 255, 255, 1);
}

/* List */
.store-list-container {
    position: absolute;
    padding-bottom: 3rem;
    width: 40rem;
    height: auto;
    top: 32rem;
    bottom: 2rem;
    left: 10rem;
    display: flex;
    border-radius: 3rem;
    background-color: rgba(255, 255, 255, 1);
    z-index: 1;
    overflow: hidden;
}

.store-list-container > .store-list {
    flex: 1;
    padding-left: 2rem;
    padding-right: 2rem;
    font-size: 1.6rem;
    overflow-y: scroll;
}

.store-list-container > .store-list::-webkit-scrollbar {
    width: 0.8rem;
}

.store-list-container > .store-list::-webkit-scrollbar-thumb {
    border-radius: 0.4rem;
    background: #514C4C;
}

.store-list-container > .store-list > .store-container {
    display: flex;
    border-bottom: 1px solid #979797;
}

.store-list-container > .store-list > .store-container > .store-container-background {
    flex: 1;
    display: flex;
    align-items: center;
    padding-left: 0.8rem;
    padding-right: 0.8rem;
    margin-top: 1.2rem;
    margin-bottom: 1.2rem;
    border-radius: 1.8rem;
    background-color: transparent;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.store-list-container > .store-list > .store-container > .store-container-background:hover {
    background-color: #CCCCCC87;
}

.store-list-container > .store-list > .store-container > .store-container-background > .store-info {
    flex: 1;
}

.store-list-container > .store-list > .store-container > .store-container-background > .store-info > .store-address {
    font-size: 2.1rem;
    color: #514C4C;
    margin-top: 3rem;
}

.store-list-container > .store-list > .store-container > .store-container-background > .store-info > .store-address > span {
    display: block;
}

.store-list-container > .store-list > .store-container > .store-container-background > .store-info > .store-phone {
    color: #B5ADAB;
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
}

.store-list-container > .store-list > .store-container > .store-container-background > .store-number-container > .store-number {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 3rem;
    height: 3rem;
    background-color: #EA4335;
    border: 2px solid rgba(255, 255, 255, 255);
    border-radius: 50%;
    color: rgba(0, 0, 0, 1);
}

.store-list-container > .store-list > .intro,
.store-list-container > .store-list > .no-stores-found {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #514C4C;
    font-size: 2rem;
}

.store-list-container > .store-list > .intro > .enter-zip {
    font-size: 2.2rem;
}

.store-list-container > .store-list > .intro > .find-stores {
    color: #1985A1;
}

/* MAP */
.map-container {
    box-sizing: initial;
}

#map {
    height: 100vh;
}

#map img
{
    max-width : none;
}

#map .store-info-window {
    min-width: 30rem;
    font-size: 1.8rem;
    padding: 0.8rem;
}

#map .store-info-window > .store-info-name {
    font-size: 2.4rem;
    font-weight: bold;
    color: rgba(0, 0, 0, 0.85);
}

#map .store-info-window > .store-info-open-status {
    margin-top: 0.6rem;
    border-bottom: 1px solid #ccc;
    padding-bottom: 0.8rem;
    color: rgba(0, 0, 0, 0.5);
}

#map .store-info-window > .store-info-address,
#map .store-info-window > .store-info-phone {
    display: flex;
    align-items: center;
    margin-top: 0.8rem;
}

#map .store-info-window > .store-info-address a,
#map .store-info-window > .store-info-phone a {
    text-decoration: none;
    color: #514C4C;
}

#map .store-info-window .icon {
    margin-right: 0.8rem;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 3rem;
    height: 3rem;
    background-color: #1985A1;
    color: white;
    border-radius: 50%;
}